repos:
    - repo: https://github.com/pre-commit/pre-commit-hooks
      rev: v5.0.0
      hooks:
        - id: check-yaml
        - id: end-of-file-fixer
        - id: mixed-line-ending
          args: ['--fix', 'lf']
        - id: trailing-whitespace
    - repo: https://github.com/myint/docformatter
      rev: master
      hooks:
        - id: docformatter
          args: ["--in-place", "--wrap-summaries", "88", "--wrap-descriptions", "88"]
    - repo: https://github.com/psf/black
      rev: 24.10.0
      hooks:
        - id: black
    - repo: https://github.com/pycqa/flake8
      rev: 7.1.1
      hooks:
        - id: flake8
    - repo: https://github.com/kynan/nbstripout
      rev: 0.7.1
      hooks:
        - id: nbstripout
